using SushiBarContracts.BindingModel;
using SushiBarContracts.SearchModel;
using SushiBarContracts.ViewModels;

namespace SushiBarContracts.BusinessLogicsContracts
{
    public interface ISushiLogic
    {
        List<SushiViewModel>? ReadList(SushiSearchModel? model);
        SushiViewModel? ReadElement(SushiSearchModel model);
        bool Create(SushiBindingModel model);
        bool Update(SushiBindingModel model);
        bool Delete(SushiBindingModel model);

    }
}
